Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aspects.remoting
Class AOPRemotingInvocationHandler

    java.lang.Object
      org.jboss.aspects.remoting.AOPRemotingInvocationHandler

All Implemented Interfaces:
  org.jboss.remoting.ServerInvocationHandler

public class AOPRemotingInvocationHandler
extends Object
implements org.jboss.remoting.ServerInvocationHandler

AOPRemotingInvocationHandler is a ServerInvocationHandler that will forward requests to the aop Dispatcher

Version:
  $Revision: 1.2.2.7 $
Author:
  Bill Burke

Constructor Summary
`AOPRemotingInvocationHandler()`

Method Summary
`void` | `addListener(org.jboss.remoting.callback.InvokerCallbackHandler callbackHandler)` Adds a callback handler that will listen for callbacks from the server invoker handler.
`void` | `destroy()` method is called to destroy the handler and remove all pending notifications and listeners from the notification cache
`protected void` | `finalize()`
`Object` | `invoke(org.jboss.remoting.InvocationRequest invocation)`
`void` | `removeListener(org.jboss.remoting.callback.InvokerCallbackHandler callbackHandler)` Removes the callback handler that was listening for callbacks from the server invoker handler.
`void` | `setInvoker(org.jboss.remoting.ServerInvoker invoker)` set the invoker that owns this handler
`void` | `setMBeanServer(javax.management.MBeanServer server)` set the mbean server that the handler can reference

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AOPRemotingInvocationHandler

    public AOPRemotingInvocationHandler()

Method Detail

### setInvoker

    public void setInvoker(org.jboss.remoting.ServerInvoker invoker)

  set the invoker that owns this handler

  Specified by:
    `setInvoker` in interface `org.jboss.remoting.ServerInvocationHandler`
  Parameters:
    `invoker` -

### setMBeanServer

    public void setMBeanServer(javax.management.MBeanServer server)

  set the mbean server that the handler can reference

  Specified by:
    `setMBeanServer` in interface `org.jboss.remoting.ServerInvocationHandler`
  Parameters:
    `server` -

### destroy

    public void destroy()

  method is called to destroy the handler and remove all pending notifications and listeners from the notification cache

### finalize

    protected void finalize()
                     throws Throwable

  Throws:
    `Throwable`

### invoke

    public Object invoke(org.jboss.remoting.InvocationRequest invocation)
                  throws Throwable

  Specified by:
    `invoke` in interface `org.jboss.remoting.ServerInvocationHandler`
  Throws:
    `Throwable`

### addListener

    public void addListener(org.jboss.remoting.callback.InvokerCallbackHandler callbackHandler)

  Adds a callback handler that will listen for callbacks from the server invoker handler.

  Specified by:
    `addListener` in interface `org.jboss.remoting.ServerInvocationHandler`
  Parameters:
    `callbackHandler` -

### removeListener

    public void removeListener(org.jboss.remoting.callback.InvokerCallbackHandler callbackHandler)

  Removes the callback handler that was listening for callbacks from the server invoker handler.

  Specified by:
    `removeListener` in interface `org.jboss.remoting.ServerInvocationHandler`
  Parameters:
    `callbackHandler` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.